<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright © 2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Notepad v.1 
| PahaW
| 2012 (c)
| Источник идеи:
| http://tutorialzine.com/2012/09/simple-note-taking-app-ajax/
+----------------------------------------------------*/


require_once "../../maincore.php";
require_once THEMES."templates/header.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }
//if (!checkrights("NPA") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect(BASEDIR); }

include INFUSIONS."notepad/settings.php";

if (file_exists(INFUSIONS."notepad/locale/".$settings['locale'].".php")) {
	include INFUSIONS."notepad/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."notepad/locale/English.php";
}

$error = ""; // ошибки

if (!iMEMBER) $error = 0; 
if (iMEMBER) $user_id = $userdata['user_id'];

if ($error == ""){

	$dir_note = BASEDIR."downloads/notes";

	if(!is_dir($dir_note)) $dir_note = INFUSIONS."notepad/notes";


	if($uniqueNotePerIP){
		
		// Use the user's IP as the name of the note.
		// This is useful when you have many people
		// using the app simultaneously.
		
		if(isset($_SERVER['HTTP_X_FORWARDED_FOR'])){
			$note_name = $dir_note.'/'.$_SERVER['HTTP_X_FORWARDED_FOR'].'.txt';
		}
		else{
			$note_name = $dir_note.'/'.$_SERVER['REMOTE_ADDR'].'.txt';
		}
	}

	if($uniqueNotePerID){
		
		// Use the user's ID as the name of the note.
		// This is useful when you have many people
		// using the app simultaneously.
		
		if(isset($_SERVER['HTTP_X_FORWARDED_FOR'])){
			$note_name = $dir_note.'/'.$user_id.'.txt';
		}
		else{
			$note_name = $dir_note.'/'.$user_id.'.txt';
		}
	}


	if(isset($_SERVER['HTTP_X_REQUESTED_WITH'])){
		// This is an AJAX request
		if(isset($_POST['note'])){
			if ($writeFile){
				// Write the file to disk
				file_put_contents($note_name, $_POST['note']);
				echo '{"saved":1}';
			}
			if ($writeMysql){
				$note = addslash($_POST['note']);
				$result = dbquery("SELECT * FROM ".DB_NPA." WHERE user_id='".$user_id."'");
	   			if (dbrows($result)!=0) {
	   				$result = dbquery("UPDATE ".DB_NPA." SET note='".$note."' WHERE user_id='".$user_id."'");
	   			} else {
	   				$result = dbquery("INSERT INTO ".DB_NPA." (note, user_id) VALUES ('".$note."', '".$user_id."'");
	   			}
				echo '{"saved":1}';
			}
		}
		
		exit;
	}

	$note_content = '';


	if ($writeFile){
		if( file_exists($note_name) ){
			$note_content = htmlspecialchars( file_get_contents($note_name) );
		}
	} else if ($writeMysql){
		$result = dbquery("SELECT * FROM ".DB_NPA." WHERE user_id='".$user_id."'");
		if (dbrows($result)!=0) {
			$data = dbarray($result);
			$note_content = $data['note'];
		} else {
			$note_content = "None - mysql";
		}
	} else {
		$note_content = "Enabled $writeFile or $writeMysql";
	}
/*
	if( file_exists($note_name) ){
		$note_content = htmlspecialchars( file_get_contents($note_name) );
	}
*/
	set_title($locale['n001']);
	add_to_head('<link rel="stylesheet" href="'.NP_MOD.'assets/css/styles.css" />');
	add_to_head('<link rel="stylesheet" href="http://fonts.googleapis.com/css?family=Courgette" />');
	add_to_head('<!--[if lt IE 9]>
	          <script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	        <![endif]-->');
	if ($enableJQuery){
		add_to_head('<script src="http://code.jquery.com/jquery-1.8.1.min.js"></script>');
	}
	add_to_head('<script src="'.NP_MOD.'assets/js/script.js"></script>');
	opentable($locale['n002']);
	    echo '
			<div id="pad">
				<h2>'.$locale['n003'].'</h2>
				<textarea id="note" name="note">'.$note_content.'</textarea>
			</div>
	';
	closetable();
}

if ($error!=""){
	opentable($locale['n004']);
		if ($error == 0) echo $locale['ne000'];
		//if ($error == 1) echo $locale['ne001'];
		//if ($error == 2) echo $locale['ne002'];
		//if ($error == 3) echo $locale['ne003'];
	closetable();
}

require_once THEMES."templates/footer.php";
?>
